org.postgis

## Class PGbox3d

- java.lang.Object
- - org.postgresql.util.PGobject
  - - org.postgis.PGboxbase
    - - org.postgis.PGbox3d

All Implemented Interfaces:
  Serializable, Cloneable

    public class PGbox3d
    extends PGboxbase

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.postgis.PGboxbase

`llb, urt`

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

### Constructor Summary

Constructors
Constructor and Description
`PGbox3d()`
`PGbox3d(Point llb, Point urt)`
`PGbox3d(String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPGtype()` The Postgres type we have (same construct as getPrefix())
`String` `getPrefix()` The Prefix we have in WKT rep.
`protected PGboxbase` `newInstance()` Obtain a new instance of a PGboxbase We could have used this.getClass().newInstance() here, but this forces us dealing with InstantiationException and IllegalAccessException.

### Methods inherited from class org.postgis.PGboxbase

`clone, compareLazyDim, equals, getLLB, getURT, getValue, setValue, toString`

### Methods inherited from class org.postgresql.util.PGobject

`getType, hashCode, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PGbox3d

    public PGbox3d()

#### PGbox3d

    public PGbox3d(Point llb,
                   Point urt)

#### PGbox3d

    public PGbox3d(String value)
            throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getPrefix

    public String getPrefix()

Description copied from class: `PGboxbase`
The Prefix we have in WKT rep. I use an abstract method here so we do not need to replicate the String object in every instance.

Specified by:
  `getPrefix` in class `PGboxbase`
Returns:
  the prefix, as a string

#### getPGtype

    public String getPGtype()

Description copied from class: `PGboxbase`
The Postgres type we have (same construct as getPrefix())

Specified by:
  `getPGtype` in class `PGboxbase`
Returns:
  String containing the name of the type for this box.

#### newInstance

    protected PGboxbase newInstance()

Description copied from class: `PGboxbase`
Obtain a new instance of a PGboxbase We could have used this.getClass().newInstance() here, but this forces us dealing with InstantiationException and IllegalAccessException. Due to the PGObject.clone() brokennes that does not allow clone() to throw CloneNotSupportedException, we cannot even pass this exceptions down to callers in a sane way.

Specified by:
  `newInstance` in class `PGboxbase`
Returns:
  a new instance of PGboxbase